Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.interchange.io/api/v2/storefront/buyer-instructions \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.interchange.io/api/v2/storefront/buyer-instructions" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.interchange.io/api/v2/storefront/buyer-instructions', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "items": [ { "id": "17", "storefrontId": "1234", "operatorDomain": "<string>", "brandDomain": "<string>", "discountPercent": 123, "notes": "<string>", "countries": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "createdBy": "<string>" } ], "total": 4503599627370495 }
{ "data": null, "error": { "code": "<string>", "message": "<string>", "field": "<string>", "details": {} } }
List every buyer-instructions row configured on the storefront.
API key or access token
List buyer-instructions rows
List of buyer-instructions rows for a storefront.
Show child attributes
0 <= x <= 9007199254740991